.SUFFIXES: .cxx
CC=CC
RANLIB=ranlib
XINCLUDES=-I/usr/include/X11

## everything is in /usr/include or /usr/lib
###

## sg irix
#XINCLUDES=-I/usr/include/X11
###

## ibm aix
#CC=xlC -+
###

## dec osf1
#CC=cxx
###

## ncr sysv4
#RANLIB=@:
###

## nec sysv4
#RANLIB=@:
###

## concurrent sysv4
#CC=/opt/epc/bin/c++ -D__epc
#RANLIB=@:
###

## qnx
#XINCLUDES=-I/usr/include/X11 -DQNX
###

## novell sysv4
#XINCLUDES=-I/usr/X/include -I/usr/X/include/X11
#RANLIB=@:
###

# solaris 2.x
XINCLUDES=-I/usr/dt/include -I/usr/openwin/include
RANLIB=@:
##

## sco sysv3.4
###

## hp-ux 9.x
#XINCLUDES=-I/usr/include/X11R5 -I/usr/include/Motif1.2
###


CFLAGS=-O
LCLHDRS=../h
IFLAGS=-I${LCLHDRS} ${XINCLUDES} -I.

.SUFFIXES: .C .o
.C.o:
	rm -f $@
	$(CC) -c $(CFLAGS) $(IFLAGS) $*.C

## qnx
#allqnx: mmfc.lib
#
#mmfc.lib:  CComboBox.o CEdit.o CListBox.o CWinApp.o CControls.o CFileDialog.o CMenu.o CWnd.o CDialog.o CFrameWnd.o CScrollBar.o utils.o
#	ls *.o | sed 's/^/-+/' > ,lib.lbc
#	wlib  mmfc.lib @,lib
# 	rm *.o ,*
#	ln mmfc.lib lib.a
###

all:    libmotifxp.a

libmotifxp.a : CComboBox.o CEdit.o CListBox.o CWinApp.o CControls.o CFileDialog.o CMenu.o CWnd.o CDialog.o CFrameWnd.o CScrollBar.o utils.o
	rm -f $@
	ar cru $@ *.o
	rm *.o
	-$(RANLIB) $@

